/**
 * @author Paul Lödige (Matrikel: 15405036)
 */

package com.ploedige.navdrawertest.ui.slideshow;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import androidx.viewpager.widget.ViewPager;

import com.ploedige.navdrawertest.R;

public class SlideshowFragment extends Fragment {

    TestPagerAdapter testPagerAdapter;
    ViewPager viewPager;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        View root = inflater.inflate(R.layout.fragment_slideshow, container, false);

        testPagerAdapter = new TestPagerAdapter(getFragmentManager());

        viewPager = (ViewPager) root.findViewById(R.id.pager);
        viewPager.setAdapter(testPagerAdapter);
        return root;
    }
}